function [iter time er x]=Picard2(n,A,x0,z,tol,mIt,u)
%Version 07/11/2014
%PHD Jorge Barrios Ginart - Universidade Federal de Gois 2014
%[2] O.P.Ferreira, S.Z. Nmeth. Projection onto simplicial cones by
%Picards method. Preprint Eq 6
x = x0;
I = eye(n);
iter = 0;
er   = norm(u-x)/norm(u);%relative error

tic;
while er > tol  
    if iter <= mIt
    R=A'*A; 
    x=(R+I)\(2*A'*z+(I-R)*abs(x));
    
    iter=iter+1; 
    if isnan(norm(u-x)/norm(u))
         warning('MATLAB:Picard2: Diverge.');
         er=Inf;
         time=Inf;
         iter=Inf;
         return
    else
     er = norm(u-x)/norm(u);
    end
    else
         warning('MATLAB:Picard2: Maximum number of iterations reached.');
         time=Inf;
         iter=Inf;
         return
    end
end
time=toc;
end
