function [iter time er x]=ssNewton(n,A,x0,z,tol,mIt,u)
%Version 07/11/2014
%PHD Jorge Barrios Ginart - Universidade Federal de Gois 2014
%[1] O.P.Ferreira, S.Z. Nmeth. Projection onto simplicial cones by a
%semi-smooth Newton method. Optimization Letters. 
x = x0;
I = eye(n);
iter = 0;
er   = norm(u-x)/norm(u);%relative error

tic;
while er > tol
    if iter <= mIt
       x=((A'*A-I)*diag(sign(max(x,0)))+I)\(A'*z);
       iter=iter+1;
       if isnan(norm(u-x)/norm(u))
         warning('MATLAB:ssNewton: Diverge.');
         er=Inf;
         time=Inf;
         iter=Inf;
         return
       else
         er = norm(u-x)/norm(u);
       end
    else
        warning('MATLAB:ssNewton:Maximum number of iterations reached.');
        time=Inf;
        iter=Inf;
        return
    end
end
time=toc;
end
